Bug 884885 - opencv needs to drop libraries not relevant for fedora
Summary: opencv needs to drop libraries not relevant for fedora
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-12-06 22:56 UTC by Nicolas Chauvet (kwizart)
Modified: 2012-12-11 05:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 05:53:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2012-12-06 22:56:48 UTC
Description of problem:
Current opencv bundles dependencies not relevant on fedora.

Version-Release number of selected component (if applicable):
opencv-2.4.3-2.fc18

Drop libopencv_nonfree.so.2.4 and libopencv_gpu.so.2.4 not relevant on Fedora.

Given the time left to coordinate the update, I'm suggesting that this issue is tag as NTH blocker.

Comment 1 Nicolas Chauvet (kwizart) 2012-12-06 23:07:02 UTC
A bodhi update is been prepared:
https://admin.fedoraproject.org/updates/libfreenect-0.1.2-3.fc18,digikam-2.9.0-2.fc18,mrpt-0.9.6-2.fc18,opencv-2.4.3-3.fc18?_csrf_token=721b173d7fe78757c77edb49df6d18c042fab42c

Missing is:
-player (no acl to add it). player-3.0.2-21.fc18 is okay (it drops opencv bad libs). But there is another SONAME change involved.
https://admin.fedoraproject.org/updates/FEDORA-2012-18509
-gstreamer-plugins-bad-free failing to build from source for another reason.
I will try to sort this out ASAP.

Please reminds that this is not a SONAME bump, but a library drop. package should built fine without them.

Comment 2 Fedora Update System 2012-12-08 15:07:28 UTC
libfreenect-0.1.2-3.fc18, digikam-2.9.0-2.fc18, mrpt-0.9.6-2.fc18, opencv-2.4.3-3.fc18, player-3.0.2-21.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/player-3.0.2-21.fc18,libfreenect-0.1.2-3.fc18,digikam-2.9.0-2.fc18,mrpt-0.9.6-2.fc18,opencv-2.4.3-3.fc18

Comment 3 Fedora Update System 2012-12-08 22:11:37 UTC
Package libfreenect-0.1.2-3.fc18, digikam-2.9.0-2.fc18, mrpt-0.9.6-2.fc18, opencv-2.4.3-3.fc18, player-3.0.2-21.fc18, gstreamer-plugins-bad-free-0.10.23-13.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfreenect-0.1.2-3.fc18 digikam-2.9.0-2.fc18 mrpt-0.9.6-2.fc18 opencv-2.4.3-3.fc18 player-3.0.2-21.fc18 gstreamer-plugins-bad-free-0.10.23-13.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19972/gstreamer-plugins-bad-free-0.10.23-13.fc18,player-3.0.2-21.fc18,libfreenect-0.1.2-3.fc18,digikam-2.9.0-2.fc18,mrpt-0.9.6-2.fc18,opencv-2.4.3-3.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-12-11 05:53:28 UTC
libfreenect-0.1.2-3.fc18, digikam-2.9.0-2.fc18, mrpt-0.9.6-2.fc18, opencv-2.4.3-3.fc18, player-3.0.2-21.fc18, gstreamer-plugins-bad-free-0.10.23-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.